- Save rust program with **.rs** extension
- **rustc file.rs** - Compiles the code
- **./file.exe** runs the code
- If a variable is not being used in the code then either comment it or donot declare it
- **print!** prints everythings inside **" "** in one line
- **println!** prints each in separate lines
- **{}** is the placeholder for the value of the variable
- **let** - to declare variable
- **//**-Line Comment
- /*...*/ - Block Comment  
- Rust variables are immutable(values cannot to be changed once assigned)
- Mutable Variables can be declared using mut **example let mut x = 1;**
- Rust is case sensitive so x and X are different variables
- Variables must start with **_** or **a letter**
- variables can only have **letters, _ or digits**
- **const** to declare Constant
- Data types in Rust are:
    - Integer - i, i32(signed), u32 (unsigned) - let x: i32=1;
    - Character - let character: name 'xyz';
    - Floating-point - f32, f64
    - Boolean let flg: bool=true;
- Rust also recognized the variable based on **Type Reference**
example let x = 5; //integer
